Nux

[regression] Corrupted blurred overlays

Bug #1087534 reported by Adolfo Jayme on 2012-12-07
524
This bug affects 99 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Critical
Marco Trevisan (Treviño)
nux (Ubuntu)
Critical
Marco Trevisan (Treviño)
Raring
Undecided
Unassigned

Bug Description

[Impact]

Corrupted blurred overlays.

[Test Case]

See attached screenshot for an example]

[Regression Potential]

Rendering of blurred areas may be slightly slower.
 ⁠⁠

See the attached screenshots. Unity fails to blur all transparent areas, with the exception of a small area in the bottom-left corner of the Dash and the Switcher.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

ProblemType: BugDistroRelease: Ubuntu 13.04
Package: unity 6.12.0daily12.12.05-0ubuntu1
ProcVersionSignature: Ubuntu 3.7.0-5.13-generic 3.7.0-rc8
Uname: Linux 3.7.0-5-generic i686
NonfreeKernelModules: wl
.tmp.unity.support.test.0:

ApportVersion: 2.6.3-0ubuntu4
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
Date: Thu Dec 6 20:24:57 2012
DistUpgraded: Fresh install
DistroCodename: raring
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 5.100.82.112+bdcom, 3.7.0-3-generic, i686: installed
 bcmwl, 5.100.82.112+bdcom, 3.7.0-4-generic, i686: installed
 bcmwl, 5.100.82.112+bdcom, 3.7.0-5-generic, i686: installed
GraphicsCard:
 Intel Corporation Mobile 945GSE Express Integrated Graphics Controller [8086:27ae] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:0241]
   Subsystem: Acer Incorporated [ALI] Device [1025:0241]
InstallationDate: Installed on 2012-11-19 (18 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha i386 (20121117)
MachineType: Gateway LT20
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-5-generic root=UUID=d5bf2840-2bda-41b5-9be2-75499907e3f3 ro quiet splash vt.handoff=7SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/04/2009
dmi.bios.vendor: Acer
dmi.bios.version: V1.10
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: LT20
dmi.board.vendor: Acer
dmi.board.version: V1.10
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.10
dmi.modalias: dmi:bvnAcer:bvrV1.10:bd09/04/2009:svnGateway:pnLT20:pvrV1.10:rvnAcer:rnLT20:rvrV1.10:cvnAcer:ct10:cvrV1.10:
dmi.product.name: LT20
dmi.product.version: V1.10
dmi.sys.vendor: Gateway
version.compiz: compiz 1:0.9.9~daily12.12.05-0ubuntu1
version.libdrm2: libdrm2 2.4.40-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0.1-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0.1-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.13.0-0ubuntu8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.0.0-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.20.14-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.4-0ubuntu1
xserver.bootTime: Thu Dec 6 19:45:41 2012
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.13.0-0ubuntu8
xserver.video_driver: intel

Related branches

Adolfo Jayme (fitojb) wrote :
Adolfo Jayme (fitojb) wrote :

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Adolfo Jayme (fitojb) wrote :
summary: - No blur in Dash, HUD and Alt+Tab switcher
+ Corrupted blurred overlays
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
status: New → Confirmed
milestone: none → 7.0.0
importance: Undecided → High
Adolfo Jayme (fitojb) on 2013-01-20
Changed in unity (Ubuntu):
importance: Undecided → High
Omer Akram (om26er) wrote :

Looking at the logs it seems this issue as well as bug 1101971 are happening on hardware that does not have GLSL support. In both these cases the bug was reported using netbooks.

Adolfo Jayme (fitojb) on 2013-01-21
tags: added: regression-release
summary: - Corrupted blurred overlays
+ [regression] Corrupted blurred overlays
Changed in nux:
status: New → Confirmed
importance: Undecided → High
milestone: none → 4.0
Changed in nux:
assignee: nobody → Eleni Maria Stea (hikiko)
Eleni Maria Stea (hikiko) wrote :

I didn't manage to reproduce this problem, could you please verify that you are still have these issues?

Manuel de la Peña (mandel) wrote :

I have tested unity on R using the components from the ppa:unity-team/staging and everything works as expected in my system. Please take a look at the attached screenshots.

Roman Yepishev (rye) wrote :

This is how it looks on my Acer Aspire One - Intel Corporation Mobile 945GSE Express Integrated Graphics Controller [8086:27ae] (rev 03)

Eleni Maria Stea (hikiko) wrote :

Some people reported that this bug occurs in old or integrated GPUs (eg in netbooks and machines that don't have glsl support). I am trying to reproduce it.

Changed in unity:
status: Confirmed → In Progress
assignee: nobody → Eleni Maria Stea (hikiko)

confirming this in an up to date raring
use 945 chipset asus eee1000h

Markcortbass (markcortbass) wrote :

I also confirm that this is still a issue for laptops/netbooks with a intergrated intel gpu that don't support OpenGL ES 2.0.
My netbook Dell mini 1018 has OpenGL 1.5 support, it has this issue:

http://ubuntuone.com/3R8UwQMasWTEbnRBjgrmEm
http://ubuntuone.com/0LOAR4NWN5XTwJl5ydRU2W
http://ubuntuone.com/1RhfwBKuCOBNbzxPT4rs4V

Roman Yepishev (rye) wrote :

It looks like this has also affected ZDNet report - http://www.zdnet.com/ubuntu-13-04-raring-ringtail-beta-1-preview-7000012602/ - see the shutdown menu screenshot.

Changed in unity:
status: In Progress → Confirmed
Omer Akram (om26er) wrote :

This bug would need to be fixed before release, given its a release blocker.

Changed in nux:
importance: High → Critical
Changed in unity:
importance: High → Critical
Changed in unity (Ubuntu Raring):
importance: High → Critical
Eleni Maria Stea (hikiko) wrote :

I added a branch that disables blur in 945GME GPU series, tested on an Asus EEE 901
It doesn't solve the bug, it completely removes blur.
I can't find a machine to work on this bug :/

Andrea Azzarone (azzar1) on 2013-03-22
Changed in unity:
status: Confirmed → In Progress
Changed in unity (Ubuntu Raring):
status: Confirmed → In Progress
Markcortbass (markcortbass) wrote :

Is it possible to turn off 'Background blur'? It solved al my problems (:
http://ubuntuone.com/3D8muv987X4CMJoSPDuU0L Dash flicker stopped, no wrong blur
http://ubuntuone.com/6oOxzOlB5IY1koPaZouok7 alt-tab works again
http://ubuntuone.com/77Kwk5V0FVATNR5qd7j14E Shutdown feature looks beautiful
http://ubuntuone.com/6orf4ufBGCLKXDKsom4D2r I did it with Unity-Tweak-Tool

AliNâ (alinajafi) wrote :

Thank you Mark, I had no idea about how to disable the blur before you mentioned Unity Tweak Tool!
Also for me disabling the blur solve all flickering and wrong background placement problems on Asus Eee PC 1005PG.

Eleni Maria Stea (hikiko) wrote :

I didn't know the unity tweak tool to be honest! cool feature!

I think we could disable the background blur for the GPUs affected but we have to know which GPUs exactly have the problem.
If you could run: "glxinfo | grep OpenGL" and paste the output here or even better paste the first Nux lines you get when you run Unity in an affected machine it will help a lot! The Nux lines must look similar to these:

Nux: Gpu Vendor: Intel Open Source Technology Center
Nux: Gpu Renderer: Mesa DRI Intel(R) Ivybridge Mobile x86/MMX/SSE2
Nux: Gpu OpenGL Version: 3.0 Mesa 9.1-rc1
Nux: Gpu OpenGL Major Version: 3
Nux: Gpu OpenGL Minor Version: 0
Nux: The GraphicsEngine is using the GLSL shader code path.

Thanks a lot!

Percy Leonhardt (p3y) wrote :

I couldn't find any Nux lines when running Unity so here is the output of glxinfo:

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3

This is from an Asus Eee PC 1215P.

Markcortbass (markcortbass) wrote :

I also couldn't find any Nux lines. If there is a command or trick to do that, I will try. This is glxinfo output:

(Dell Inspiron mini 1018)

mark@mark-Inspiron-1018:~$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3
OpenGL extensions:
mark@mark-Inspiron-1018:~$

It might also be interesting to see the differences in the unity commands:
Backgroundblur enabled: http://ubuntuone.com/7ReBPOWOGSUlxk21vBeQfJ
Backgroundblur disabled: http://ubuntuone.com/01aq5zLmVLWPgicai1QvSE

Eleni Maria Stea (hikiko) wrote :

Sorry, you can get the Nux output only when nux is compiled in debug mode (./autogen.sh --enable-debug). Anyway, I think that I can fix it using only the glxinfo output! :-) Thanks a lot!

Markcortbass (markcortbass) wrote :

Thanks for the info. It' s great that you have enough information for this bug. This problem also applies to my HP NC6120 laptop. Of course I have the glxinfo:

ubuntu@ubuntu:~$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 915GM x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3
OpenGL extensions:
ubuntu@ubuntu:~$

Alex Elzenaar (albeetle) wrote :

On a Samsung NP-N145-JP01NZ, the output is the same as #23.

The glxinfo output is:

$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3
OpenGL extensions:

Eleni Maria Stea (hikiko) wrote :

The lp:~hikiko/unity/unity.low-gfx-integrated-intel is supposed to set the Unity in low gfx mode in the machines with Intel integrated GPUs mentioned in this bug. Since I don't have such a GPU I can't test it, could anyone affected verify it works? (You have to compile nux and then the unity branch in your machine which might take some time... Please ping me on IRC or via email if you need any instructions/help...)

Walter Ribeiro (wribeirojr) wrote :

I can confirm the issue here:
Prossessor: Intel® Atom™ CPU N270 @ 1.60GHz × 2
Graphics: Intel® 945GME x86/MMX/SSE2
Ubuntu 13.04 32bits - 2Gb Ram

> glxinfo | grep OpenGL

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 945GME x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3
OpenGL extensions:

Same here:
CPU: Intel® Atom™ CPU N450
Graphics: Intel® 945GME x86/MMX/SSE2
Ubuntu 13.04 32bits - 2Gb Ram

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3
OpenGL extensions:

Stephen M. Webb (bregma) on 2013-04-04
Changed in unity:
milestone: 7.0.0 → 7.0.1
Grzegorz Galezowski (spectral) wrote :

Temporary workaround to get acceptable experience while being affected by this bug (assuming default wallpaper is set. Most of this has already been written here except for bullet 5):
1. install ccsm tool:
sudo apt-get install compizconfig-settings-manager
2. run ccsm tool:
ccsm
3. Search for unity and select it from central panel
4. Switch Dash Blur option to "No Blur"
5. in Background Color panel, set Color Name to #591718 and Opacity to 248 (you may adjust these values to your liking, especially the color name if your use a different wallpaper)
6. Close ccsm and try out your dash

Markcortbass (markcortbass) wrote :

@Grzegorz Galezowski
set "no blur" in ccsm works. It's the same as "no background blur" in Unity Tweak Tool.
There is totally no need to adjust the color and opacity.

Mateus Nascimento (mtzzz-cs) wrote :

same problem here, in a Asus eee 1005pe

manny (estelar57) wrote :

same here on a tower pc. bug #1165902

Andrew (andrewkvalheim) wrote :

Sharing this since it's a little different on my ThinkPad X60:

  OpenGL vendor string: Intel Open Source Technology Center
  OpenGL renderer string: Mesa DRI Intel(R) 945GM
  OpenGL version string: 1.4 Mesa 9.0.3
  OpenGL extensions:

What about disabling blur by default?
There is not much time before 13.04 release for bug fix.
Disabling blur doesn't affect overall experience as corrupted blur does. On some systems it even can speed up Dash opening.
DIsabling blur only on affected systems make difference in overall Ubuntu look on various systems.

Cameron Hart (bitshifternz) wrote :

In the case of the new logout and shutdown dialogs the text is unreadible without the blur if the dialog is above a busy background.

Florian Diesch (diesch) wrote :

Disableing the blur using

  gsettings set org.compiz.unityshell:/org/compiz/profiles/unity/plugins/unityshell/ dash-blur-experimental 0

works for me.

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3
OpenGL extensions:

  *-display:0
       description: VGA compatible controller
       product: Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:44 memory:f7e00000-f7e7ffff ioport:dc00(size=8) memory:d0000000-dfffffff memory:f7d00000-f7dfffff

Markcortbass (markcortbass) wrote :

I confirm that the method of Florian works. It's the same command as Unity Tweak uses with 'background blur'.
If it is possible, and nothing would break, why wouldn't you deactivate blur by default? Otherwise, you can disable all intel video cards blur..
As Frantisek indicates, this is against the words of Mark Shuttleworth. Because it is not one operating system anymore for all different devices. ;)

Grzegorz Galezowski (spectral) wrote :

Personally, I vote against deactivating blur unless the opacity and color are auto-adjusted. Setting "no blur" with default color and opacity settings makes for a readability disaster. The non-blurred items behind the dash are mixed with the dash items.

Adolfo Jayme (fitojb) on 2013-04-11
tags: added: rls-r-incoming
Dinin (dinin2) wrote :

Also having this problem with an asus f3h intel gma945. Moreover there top and bottom icons are missing in dash preview.
Same problem with blur enabled and disabled. Tested on a netbook too with intel gma 3150.
http://ubuntuone.com/1Ky4wdxPVbQVZEucaTah5D

Is there any obvious issue with just disabling the blur by default, or
is there a reason we can't?

Michele Olivo (micheleolivo) wrote :

In my case (eMachines eM355 detected: Intel® IGD) integrated graphics on atom N455.
Some panels are too lighter, for example i can't see the white text on the shutdown/restart panel.
I experience some little graphics flaws, like the the background gradient on main menu is flickering (And it is really annoying)

I can confirm the bug in my HP Mini 210 netbook and confirm disabling the blur solves it.

However, as #38 said, there are also no icons during the animation of the dash previews, even after disabling the blur. Different bug, I guess?

Eleni Maria Stea (hikiko) wrote :

I started a branch here:
https://code.launchpad.net/~hikiko/unity/unity.low-gfx-integrated-intel
in which Unity switches to the low graphics mode when one of the affected integrated Intel GPUs is detected. The dash then looks like the screenshot attached. Since I don't have an integrated Intel to test the branch and it's only been tested on an Asus EEE, I would really appreciate if someone else affected could ping me on IRC or email me to help me test it! Thanks a lot!

Eleni Maria Stea (hikiko) wrote :

Sorry. here's the attachment.

Percy Leonhardt (p3y) wrote :
Download full text (4.0 KiB)

Do you have some brief instructions how to build this branch?

2013/4/15 Eleni Maria Stea <email address hidden>

> Sorry. here's the attachment.
>
> ** Attachment added: "dash.tar"
>
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1087534/+attachment/3644414/+files/dash.tar
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1100970).
> https://bugs.launchpad.net/bugs/1087534
>
> Title:
> [regression] Corrupted blurred overlays
>
> Status in Nux:
> Confirmed
> Status in Unity:
> In Progress
> Status in “unity” package in Ubuntu:
> In Progress
> Status in “unity” source package in Raring:
> In Progress
>
> Bug description:
> See the attached screenshots. Unity fails to blur all transparent areas,
> with the exception of a small area in the bottom-left corner of the Dash
> and the Switcher.
> ---
> Ubuntu Bug Squad volunteer triager
> http://wiki.ubuntu.com/BugSquad
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: unity 6.12.0daily12.12.05-0ubuntu1
> ProcVersionSignature: Ubuntu 3.7.0-5.13-generic 3.7.0-rc8
> Uname: Linux 3.7.0-5-generic i686
> NonfreeKernelModules: wl
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.6.3-0ubuntu4
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13
> --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm:
> /var/log/dmesg: Permission denied
> Date: Thu Dec 6 20:24:57 2012
> DistUpgraded: Fresh install
> DistroCodename: raring
> DistroVariant: ubuntu
> DkmsStatus:
> bcmwl, 5.100.82.112+bdcom, 3.7.0-3-generic, i686: installed
> bcmwl, 5.100.82.112+bdcom, 3.7.0-4-generic, i686: installed
> bcmwl, 5.100.82.112+bdcom, 3.7.0-5-generic, i686: installed
> GraphicsCard:
> Intel Corporation Mobile 945GSE Express Integrated Graphics Controller
> [8086:27ae] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Acer Incorporated [ALI] Device [1025:0241]
> Subsystem: Acer Incorporated [ALI] Device [1025:0241]
> InstallationDate: Installed on 2012-11-19 (18 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha i386 (20121117)
> MachineType: Gateway LT20
> MarkForUpload: True
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-5-generic
> root=UUID=d5bf2840-2bda-41b5-9be2-75499907e3f3 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/04/2009
> dmi.bios.vendor: Acer
> dmi.bios.version: V1.10
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: LT20
> dmi.board.vendor: Acer
> dmi.board.version: V1.10
> dmi.chassis.type: 10
> dmi.chassis.vendor: Acer
> dmi.chassis.version: V1.10
> dmi.modalias:
> dmi:bvnAcer:bvrV1.10:bd09/04/2009:svnGateway:pnLT20:pvrV1.10:rvnAcer:rnLT20:rvrV1.10:cvnAcer:ct10:cvrV1.10:
> dmi.product.name: LT20
> dmi.product.version: V1.10
> dmi.sys.vendor: Gateway
> version.compiz: compiz 1:0.9.9~daily12.12.05-0ubuntu1
> version.libdrm2: libdrm2 2.4.4...

Read more...

Markcortbass (markcortbass) wrote :

I was typing in the terminal:
sudo apt-get install bzr
bzr branch lp: ~ hikiko / unity / unity.low-gfx-integrated intel-

There is nothing changed. Do I miss something?

Eleni Maria Stea (hikiko) wrote :

In my case bzr branch lp: ~hikiko / unity / unity.low-gfx-integrated-intel (without any spaces after lp) seems to work.
If the problem still exists you can try to edit your ~/.bazaar/bazaar.conf to contain the following lines:

[DEFAULT]
launchpad_username = <your_lp_login_username>
email = Name Surname <youremail>

mine for example is:
[DEFAULT]
launchpad_username = hikiko
email = Eleni Maria S.. <email address hidden>

(I am not sure it's necessary)

------------------------------------
+Quick build Instructions:
------------------------------------
sudo apt-get install bzr
sudo apt-get build-dep unity
sudo apt-get build-dep nux

cd ~
mkdir staging
cd staging

mkdir src
mkdir install

cd src
bzr branch lp:nux
bzr branch lp:~hikiko/unity/unity.low-gfx-integrated-intel unity

export PREFIX=~/staging/install/unity
export PATH=$PREFIX/bin:$PATH
export PKG_CONFIG_PATH="$PREFIX/lib/pkgconfig:$PKG_CONFIG_PATH"
export LD_LIBRARY_PATH="$PREFIX/lib:$PREFIX/lib/libunity:/usr/lib/i386-linux-gnu/libunity:$LD_LIBRARY_PATH"
export LD_RUN_PATH="$PREFIX/lib:$PREFIX/lib/libunity:/usr/lib/i386-linux-gnu/libunity:$LD_RUN_PATH"
export XDG_DATA_DIRS="$PREFIX/share:/usr/share:/usr/local/share:$XDG_DATA_DIRS"
export CFLAGS="-O0 -g"
export CXXFLAGS="-O0 -g"

mkdir -p $PREFIX

cd nux
./autogen.sh --prefix=$PREFIX --enable-debug

(if autogen complains about any package -it shouldn't normally- apt-cache search package name and sudo apt-get install the -dev version)

make && make install

cd $PREFIX

cmake ../../src/unity -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=Debug -DCOMPIZ_PLUGIN_INSTALL_TYPE=local -DGSETTINGS_LOCALINSTALL=ON

(if cmake complains about any package -it shouldn't normally- apt-cache search package name and sudo apt-get install the -dev version)

make
make install

To run the unity branch:
./bin/unity --replace ccp

To return to your installed unity version, switch to a tty and:
unity --replace ccp

If something went wrong with the previous command:
sudo restart lightdm

To remove everything:
rm -r ~/staging

PS: Thanks a lot!!! :-)

Markcortbass (markcortbass) wrote :

It doesn't work for me. It was a disaster so I did 'sudo restart lightdm'.
Then I tried it again. As you can see in the terminal output:
http://ubuntuone.com/6k81brKhkoLrMFoG6dSW3j

Eleni Maria Stea (hikiko) wrote :

For the segmentation fault could you please try in the same terminal:
unset LD_RUN_PATH
and then ./bin/unity --replace ccp
I think it's the env. variable that caused the issue I unset it in my laptop and it worked.

For the lightdm command, it was necessary because there was a small typo the second time, it's unity --replace ccp not cpp. Also, if the unity --replace ccp doesn't work try: rm -r ~/.compiz-1/* and then unity --replace ccp and this should fix it.

I wrote the instructions very quickly and I didn't notice that the run path I gave is deprecated, apologies :)

Percy Leonhardt (p3y) wrote :
Download full text (4.4 KiB)

The compilation of your branch failed, that's why starting compiz didn't
work:

/home/mark/staging/src/unity/unity-shared/OverlayRenderer.cpp:814:17: fout:
variable ‘geo’ set but not used [-Werror=unused-but-set-variable]
cc1plus: all warnings being treated as errors

Maybe Eleni can tell us how to get rid of that compile flag
"-Werror=unused-but-set-variable". I will also try to build the branch when
I get back home.

2013/4/16 Mark <email address hidden>

> It doesn't work for me. It was a disaster so I did 'sudo restart lightdm'.
> Then I tried it again. As you can see in the terminal output:
> http://ubuntuone.com/6k81brKhkoLrMFoG6dSW3j
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1100970).
> https://bugs.launchpad.net/bugs/1087534
>
> Title:
> [regression] Corrupted blurred overlays
>
> Status in Nux:
> Confirmed
> Status in Unity:
> In Progress
> Status in “unity” package in Ubuntu:
> In Progress
> Status in “unity” source package in Raring:
> In Progress
>
> Bug description:
> See the attached screenshots. Unity fails to blur all transparent areas,
> with the exception of a small area in the bottom-left corner of the Dash
> and the Switcher.
> ---
> Ubuntu Bug Squad volunteer triager
> http://wiki.ubuntu.com/BugSquad
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: unity 6.12.0daily12.12.05-0ubuntu1
> ProcVersionSignature: Ubuntu 3.7.0-5.13-generic 3.7.0-rc8
> Uname: Linux 3.7.0-5-generic i686
> NonfreeKernelModules: wl
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.6.3-0ubuntu4
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13
> --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm:
> /var/log/dmesg: Permission denied
> Date: Thu Dec 6 20:24:57 2012
> DistUpgraded: Fresh install
> DistroCodename: raring
> DistroVariant: ubuntu
> DkmsStatus:
> bcmwl, 5.100.82.112+bdcom, 3.7.0-3-generic, i686: installed
> bcmwl, 5.100.82.112+bdcom, 3.7.0-4-generic, i686: installed
> bcmwl, 5.100.82.112+bdcom, 3.7.0-5-generic, i686: installed
> GraphicsCard:
> Intel Corporation Mobile 945GSE Express Integrated Graphics Controller
> [8086:27ae] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Acer Incorporated [ALI] Device [1025:0241]
> Subsystem: Acer Incorporated [ALI] Device [1025:0241]
> InstallationDate: Installed on 2012-11-19 (18 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha i386 (20121117)
> MachineType: Gateway LT20
> MarkForUpload: True
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-5-generic
> root=UUID=d5bf2840-2bda-41b5-9be2-75499907e3f3 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/04/2009
> dmi.bios.vendor: Acer
> dmi.bios.version: V1.10
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: LT20
> dmi.board.vendor: Acer
> dmi.board.version: V1.10
> dmi.chassis.type: 10
...

Read more...

Eleni Maria Stea (hikiko) wrote :

oh, I didn't notice this thanks, ok, I ll fix it in a while!

Eleni Maria Stea (hikiko) wrote :

Could you try with this branch: lp:~hikiko/unity/unity.bug-1087534 please?

Quick build Instructions:
------------------------------------
sudo apt-get install bzr
sudo apt-get build-dep unity
sudo apt-get build-dep nux

cd ~
mkdir staging
cd staging

mkdir src
mkdir install

cd src
bzr branch lp:nux
bzr branch lp:~hikiko/unity/unity.bug-1087534

export PREFIX=~/staging/install/unity
export PATH=$PREFIX/bin:$PATH
export PKG_CONFIG_PATH="$PREFIX/lib/pkgconfig:$PKG_CONFIG_PATH"
export LD_LIBRARY_PATH="$PREFIX/lib:$PREFIX/lib/libunity:/usr/lib/i386-linux-gnu/libunity:$LD_LIBRARY_PATH"
export LD_RUN_PATH="$PREFIX/lib:$LD_RUN_PATH"
export XDG_DATA_DIRS="$PREFIX/share:/usr/share:/usr/local/share:$XDG_DATA_DIRS"
export CFLAGS="-O0 -g"
export CXXFLAGS="-O0 -g"

mkdir -p $PREFIX

cd nux
./autogen.sh --prefix=$PREFIX --enable-debug

(if autogen complains about any package -it shouldn't normally- apt-cache search package name and sudo apt-get install the -dev version)

make && make install

cd $PREFIX

cmake ../../src/unity -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=Debug -DCOMPIZ_PLUGIN_INSTALL_TYPE=local -DGSETTINGS_LOCALINSTALL=ON

(if cmake complains about any package -it shouldn't normally- apt-cache search package name and sudo apt-get install the -dev version)

make
make install

To run the unity branch:
unset LD_RUN_PATH
./bin/unity --replace ccp

To return to your installed unity version, switch to a tty and:
unity --replace ccp

If something went wrong with the previous command:
rm ~/.compiz-1/*
unity --replace ccp

or as a final solution
sudo restart lightdm

To remove everything:
rm -r ~/staging

Thanks a lot again!

Markcortbass (markcortbass) wrote :

I think it is successful. I see no defects in the appearance.

http://ubuntuone.com/5VaVhr55va3ZeqVLQg5JPO

manny (estelar57) wrote :

@Mark

sorry, but I can't see the file. What extension is it?

Markcortbass (markcortbass) wrote :

It's just a text file. This time with .txt

http://ubuntuone.com/5VaVhr55va3ZeqVLQg5JPO

Eleni Maria Stea (hikiko) wrote :

Yes, from the output it seems to work. Many thanks!!
So, now we know it fixes the issue on Asus and Dell Inspiron netbooks.
I will request for merge hoping to get more feedback the following days to further improve it!

caprico (caprico4) wrote :

+1
Same issue on MacMini with Intel GMA 950 graphics. Problem occurs since updating from Ubuntu 12.10 to 13.04 beta.
No problem on other system with Intel HD Graphics 3000.

Eleni Maria Stea (hikiko) wrote :

@oeloemo Could you please run:
$ glxinfo | grep -i "OpenGL"
and paste the output here?

Markcortbass (markcortbass) wrote :

There is a little bug in the branch. The old explanation creates the folder 'unity'​​. The new explanation made the folder 'unity.bug-1087534'. That is why the other commands no longer work. See terminal output:

http://ubuntuone.com/5KJMtkVRTIxWIKuQNOKfbs

James Womack (james-c-womack) wrote :

Same issue on Samsung N150 Plus netbook running 13.04 beta after updating from 12.10 (64-bit).

/proc/cpuinfo:
Intel(R) Atom(TM) CPU N450 @ 1.66GHz

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller

$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD
OpenGL version string: 1.4 Mesa 9.1.1
OpenGL extensions:

Eleni Maria Stea (hikiko) wrote :

@Mark: you are right the bzr command in the instructions should be: "bzr branch lp:~hikiko/unity/unity.bug-1087534 unity" I ll make a blog post with the correct instructions and paste the link here tomorrow.

@James Womack: thank you for the feedback, I will include the Intel N450 in the affected GPUs!

Markcortbass (markcortbass) wrote :

Thanks Eleni Maria Stea!
As mentioned earlier, the bug also infected my HP nc6120. The Bach works for this laptop..

mark@mark-laptop:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

mark@mark-laptop:~$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 915GM x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.0.3
OpenGL extensions:

Lukasz Pozniak (rox-lukas) wrote :

Confirming the bug on Acer Aspire One netbook (model ZG5).

lukas@mikrus:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GSE Express Integrated Graphics Controller (rev 03)

lukas@mikrus:~$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 945GME x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.1.1
OpenGL extensions:

Harmen H (harmenh) wrote :

I didn't see my system listed as affected, so here is my configuration:

$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 945GM
OpenGL version string: 1.4 Mesa 9.1.1
OpenGL extensions:

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

It's on a Macbook 2,1.

Pete Graner (pgraner) on 2013-04-22
Changed in ubuntu-release-notes:
status: New → Invalid
Eleni Maria Stea (hikiko) wrote :

I added support for the following Intel GPUs:
945ME
945GSE
945GM*
943GM*
940GM*
915GM*
IGD
I have only test the 945ME, IGD until now...

https://ufuntu.wordpress.com/2013/04/23/a-unity-issue-and-how-to-solve/
^^^
blog post with the build instructions

Changed in nux:
status: Confirmed → Opinion
Changed in nux:
status: Opinion → Confirmed
Joschi Poschi (joschiposchi) wrote :

Can confirm the bug on a Lenovo SL500 laptop:

glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset
OpenGL version string: 2.1 Mesa 9.1.1
OpenGL shading language version string: 1.20
OpenGL extensions:

lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

mo (chilloutmo) wrote :

Can confirm the bug on a Asus 1215N laptop:

glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD
OpenGL version string: 1.4 Mesa 9.1.1
OpenGL extensions:

lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller (rev 02)
04:00.0 VGA compatible controller: NVIDIA Corporation GT218 [ION 2] (rev ff)

Also affects:

glxinfo | grep OpenGL
OpenGL vendor string: X.Org R300 Project
OpenGL renderer string: Gallium 0.4 on ATI RS690
OpenGL version string: 2.1 Mesa 9.1.1
OpenGL shading language version string: 1.20

lspci | grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS690M [Radeon Xpress 1200/1250/1270]

BvL | QORTEC (qortec) wrote :

I too am efficted by this issue, I'm using a Fujitsu T4215 Tablet PC, using a Intel intergraded 945GM graphics.

Eldar Khayrullin (eldar) wrote :

Also affects:

glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) IGD x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 9.1.1

lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller (rev 02)

Changed in nux:
status: Confirmed → In Progress
Changed in unity (Ubuntu):
status: In Progress → Invalid
Changed in nux:
assignee: Eleni Maria Stea (hikiko) → Marco Trevisan (Treviño) (3v1n0)
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:nux/raring at revision 779, scheduled for release in nux, milestone Unknown

Changed in nux:
status: In Progress → Fix Committed
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:nux at revision None, scheduled for release in nux, milestone 4.0

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nux (Ubuntu Raring):
status: New → Confirmed
Changed in unity:
status: In Progress → Invalid
Changed in nux (Ubuntu Raring):
status: Confirmed → Invalid
Changed in unity (Ubuntu Raring):
status: In Progress → Invalid
Adolfo Jayme (fitojb) on 2013-05-01
no longer affects: ubuntu-release-notes
no longer affects: unity
no longer affects: unity (Ubuntu)
no longer affects: unity (Ubuntu Raring)
Changed in nux (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Changed in nux (Ubuntu Raring):
status: Invalid → Confirmed
Changed in nux (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: Triaged → Fix Committed

I installed:
ppa:ubuntu-unity/daily-build

then apt-get installed libnux-4.0.0

My issue is fixed and I have not seen any other new issues

Dinin (dinin2) wrote :

Can confirm it on intel gma950.
Added ppa:ubuntu-unity/daily-build
updated libnux-4.0.0 without other unity components.
Now blur works as expected.
Is it safe to update unity from this ppa? Will it fix the dash preview thumbnail problem?
http://ubuntuone.com/1Ky4wdxPVbQVZEucaTah5D

AliNâ (alinajafi) wrote :

Installing from the PPA solved all problems for me too on Asus EEEPC 1005PG, Intel IGD x86/MMX/SSE2.
It’s what it should be. Perfect! Thanks guys!

Evtomax (evtomax) wrote :

Problem fixed on ASUS Eee PC 1015PE by installing libnux-4.0.0 from ppa:ubuntu-unity/daily-build :)

Joschi Poschi (joschiposchi) wrote :

Updating libnux-4.0.0 and dependencies from the aforementioned PPA didn't fix the bug for my GM45 graphics chip.

Caleb Molstad (cmolstad) wrote :

Adding ppa:ubuntu-unity/daily-build and updating libnux-4.0.0 fixed the problem for me on my Intel Mobile 945GSE.

description: updated
description: updated
Stephen M. Webb (bregma) wrote :

Fix Released in Nux Nux 4.0.0.

Changed in nux:
status: Fix Committed → Fix Released
Adolfo Jayme (fitojb) wrote :

The fix in the PPA works for me also, grazie mille, Marco!

Changed in nux (Ubuntu Raring):
status: Confirmed → Triaged
description: updated
Harmen H (harmenh) wrote :

The fix in the PPA works for me.

$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) 945GM
OpenGL version string: 1.4 Mesa 9.1.1
OpenGL extensions:

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

It's on a Macbook 2,1.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 4.0.2daily13.06.05-0ubuntu1

---------------
nux (4.0.2daily13.06.05-0ubuntu1) saucy; urgency=low

  [ Stephen M. Webb ]
  * fix failures in 'make distcheck' (lp: #1170358). (LP: #1170358)
  * debian/copyright: updated and corrected (lp: #753361). (LP: #753361)
  * Add build instructions to the sources (lp: #1011395). (LP: #1011395)
  * Bump Nux version to 4.0.1.

  [ Nick Dedekind ]
  * Changed global navigation focus area/activate signals to public.
  * Do not send second click event when double-clicking mouse.
  * Emit global focus change signal when setting to NULL.
  * Double click on non double-click enabled views were not getting the
    second click.

  [ Marco Trevisan (Treviño) ]
  * RenderingPipe: always use the depth buffer texture when getting the
    CopyTexture. (LP: #1087534)
  * IOpenGLFrameBufferObject: correctly use all the FBO attachments.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 793

nux (4.0.2daily13.05.31ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * Fixes XIM event text buffer overflow.

  [ Łukasz 'sil2100' Zemczak ]
  * Bump the upstream micro version to 4.0.2 as we have changed the ABI

  [ Stephen M. Webb ]
  * Add build instructions to the sources (lp: #1011395). (LP: #1011395)
  * Bump Nux version to 4.0.1.

  [ Nick Dedekind ]
  * Double click on non double-click enabled views were not getting the
    second click.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 792 (ubuntu-unity/next)

nux (4.0.1daily13.05.08ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Stephen M. Webb ]
  * debian/copyright does not mention Public Domain for tinyxml/Unicode
    functions included (LP: #753361)
  * 'make distcheck' fails (LP: #1170358)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 786 (ubuntu-unity/next)

nux (4.0.1daily13.05.01.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * [regression] Corrupted blurred overlays (LP: #1087534)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 781 (ubuntu-unity/next)
 -- Ubuntu daily release <email address hidden> Wed, 05 Jun 2013 06:09:14 +0000

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released

Hello Adolfo, or anyone else affected,

Accepted nux into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nux/4.0.1daily13.06.19~13.04-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nux (Ubuntu Raring):
status: Triaged → Fix Committed
tags: added: verification-needed
David Fokkema (dfokkema) wrote :

I can confirm that the -proposed packages fix the issue for me on an Asus EEE pc 1000H with Intel Mobile 945GSE and nux version 4.0.1daily13.06.19~13.04-0ubuntu1. I'm pretty new to this issue, so I won't change the tag, yet. Thanks for fixing this!

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 4.0.1daily13.06.19~13.04-0ubuntu1

---------------
nux (4.0.1daily13.06.19~13.04-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * [regression] Corrupted blurred overlays (LP: #1087534)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 782 (bootstrap)
  * Automatic snapshot from revision 783
 -- Ubuntu daily release <email address hidden> Wed, 19 Jun 2013 04:01:46 +0000

Changed in nux (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.